
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>黑马程序员关于静态方法的使用 / 憋错料</title>

    <meta name="description" content="黑马程序员关于静态方法的使用 静态方法是java中很重要的一个方法,它有如下好处: ① 静态方法可以直接通过 类名.方法名 来调用,而实例方法则需要事先实例化对象,然后才能调用. ② 节约内存,一个方法声明了static 之后,无论多少个方法调用它,它在只占用了一个内存:如果没有声明static,一个方法被调用一次,它就占用一次内存.③ 访问速度较快,因为静态不需要实例化就能使用 ④ 静态方法生命周期很长,所以不担心过期问题 静态方法既然有那么多好处,呢什么时候定义静态呢? 其中给出的一个答案是:当功能内部没有使用到非静态数">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">黑马程序员关于静态方法的使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　</p>
<pre><strong>静态方法是java中很重要的一个方法，它有如下好处：</strong></pre>
<pre></pre>
<p>①&nbsp;静态方法可以直接通过&nbsp;类名.方法名&nbsp;来调用，而实例方法则需要事先实例化对象，然后才能调用。</p>
<pre></pre>
<p>②&nbsp;节约内存，一个方法声明了static&nbsp;之后，无论多少个方法调用它，它在只占用了一个内存；如果没有声明static，一个方法被调用一次，它就占用一次内存。<br />③&nbsp;访问速度较快，因为静态不需要实例化就能使用</p>
<pre></pre>
<p>④&nbsp;静态方法生命周期很长，所以不担心过期问题</p>
<pre></pre>
<p><strong>静态方法既然有那么多好处，呢什么时候定义静态呢？</strong></p>
<pre></pre>
<p>其中给出的一个答案是：当功能内部没有使用到非静态数据（对象的特有数据）那么该功能可以定义成静态的。</p>
<pre></pre>
<p><strong>疑问：静态不能访问非静态数据？</strong></p>
<pre></pre>
<p>搜索答案发现：大多给出的解释是这样的：类的静态方法随类的加载而加载，也就是说类创建了，静态方法就存在在方法区了，可是可能这个时候还没有进行对象的初始化，既然没有对象初始化，那对象的成员变量，成员方法自然就不存在，静态方法就访问不了，。。。</p>
<pre></pre>
<p><strong>&nbsp;疑问：如果new出对象调用静态方法访问对象的成员那么就该能访问到吧？写出以下代码验证</strong></p>
<pre> 1 class Person1
 2 {
 3      String name = "zhangsan";
 4     static String cn = "china";
 5     public static void speak()
 6     {
 7         System.out.println("name="+name);
 8     }
 9 }
10 class Person1Demo
11 {
12     public static void main(String[] args)
13     {
14         Person1 p1 = new Person1();
15         p1.speak();
16     }
17 }</pre>
<p>提示如图所示：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9ibG9nLzY5NTY3OC8yMDE0MTEvMjMwNzQyMzYzOTA3Mzc4LnBuZw==.jpg" /></p>
<pre></pre>
<p>还是报错</p>
<pre></pre>
<p>最后发现问题是这样的：静态方法在编译的时候就加载到内存里，而对象的建立是发生在运行阶段，这有一个时间的先后问题！</p>
<pre></pre>
<p>也就是说：用STATIC修饰的方法和变量也叫类变量或类方法所属于类，&nbsp;因为JVM加载一个类的时候，&nbsp;这些由STATIC修饰的变量或方法是在给成员变量赋值之前进行的，&nbsp;所以当一个STATIC方法里有一个成员变量的时候，&nbsp;JVM就不知道其中包涵的成员变量，&nbsp;所以不能进行编译，会报错。</p>
<pre></pre>
<p><strong>关于静态方法的使用：</strong></p>
<pre></pre>
<p>①&nbsp;&nbsp;直接通过&nbsp;类名.方法名的方法&nbsp;来调用（可以叫做类方法）</p>
<pre></pre>
<p>②&nbsp;&nbsp;静态方法不能使用this（与实例相关）</p>
<pre></pre>
<p>③&nbsp;&nbsp;静态和最终方法（final修饰）不能被覆盖，只有实例方法才能被覆盖</p>
<pre></pre>
<p>④&nbsp;&nbsp;静态代码块：格式&nbsp;：static{执行语句}&nbsp;&nbsp;&nbsp;当类被载入时，静态代码块则被执行，且只被执行一次，静态代码块可用作不创建对象也可能需要执行的代码.</p>
<pre></pre>
<p><strong>对于静态方法能不能被覆盖，通过以下代码来验证：</strong></p>
<pre> 1 class fu
 2 {
 3     public static void fustatic()
 4     {
 5         System.out.println("fustatic");
 6     }
 7     public void funostatic()
 8     {
 9         System.out.println("funostatic");
10     }
11 }
12 class zi extends fu
13 {
14     public static void fustatic()
15     {
16         System.out.println("zistatic");
17     }
18     public void funostatic()
19     {
20         System.out.println("zinostatic");
21     }
22 }
23 class  method
24 {
25     public static void main(String[] args)
26     {
27         //fu fu = new fu();
28             //fu.fustatic();//运行结果fustatic
29             //fu.funostatic();//运行结果funostatic
30         fu f = new zi();
31             f.fustatic();//运行结果fustatic
32             f.funostatic();//运行结果zinostatic
33         //zi z = new zi();
34            // z.fustatic();//运行结果zistatic
35     }
36 }</pre>
<p>现象：多态时，调用和父类同名的静态方法运行的却是定义在子类中的方法</p>
<p>解释：原因是静态方法是在编译的时候把就把静态方法和类的引用类型进行匹配，而不是在运行的时候和类引用进行匹配。因此我们得出结论：当我们在子类中创建的静态方法，它并不会覆盖父类中相同名字的静态方法。在java中方法间没有多态就不能覆盖。</p>
<p>结论：java中静态方法不能被覆盖。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 01:34:45 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>黑马程序员关于静态方法的使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLJVkW3.html" rel="bookmark">黑马程序员&lowbar;API</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				------- android培训.java培训.期待与您交流! ---------- ======================API========================================= 看api的步骤: 1.看类的说明.其所属的包以及出现的版本. 2.看其构造函数. 3.看普通的方法.看时注意参数,和返回值类型. Object类 1. private static native void registerNatives (); 见到本地关键字修饰的方法,这个方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a7JZn4.html" rel="bookmark">黑马程序员&lowbar;JAVA 基础加强学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.面向对象 (一)继承  1.继承的好处: (1) 提高了代码的复用性. (2) 让类与类之间产生了关系,提供了另一个特征多态的前提. 注意: 子类中所有的构造函数都会默认访问父类中的空参数的构造函数,因为每一个子类构造内第一行都有默认的语句super();  如果父类中没有空参数的构造函数,那么子类的构造函数内,必须通过super语句指定要访问的父类中的构造函数. 如果子类构造函数中用this来指定调用子类自己的构造函数,那么被调用的构造函数也一样会访问父类中的构造函数. 2.final特点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wrz6V0.html" rel="bookmark">黑马程序员&lowbar;&lowbar;&lowbar;多线程小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				----------- android培训.java培训.java学习型技术博客.期待与您交流! --------- 进程和线程 进程是正在进行中的程序,指一个内存中运行的应用程序,每个进程都有自己独立的一块内存空间,一个进程中可以有多个线程. Java程序的进程里有几个线程:主线程, 垃圾回收线程(后台线程) 线程是指进程中的一个执行任务(控制单元),一个进程中可以运行多个线程,多个线程可共享数据.多线程:在同一个进程中同时运行的多个任务;一个进程至少有一个线程,为了提高效率,可以在一个进程中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49Z6k1M.html" rel="bookmark">黑马程序员&mdash;&mdash;集合篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				------- android培训.java培训.期待与您交流! ---------- 1.集合类 为什么出现集合类? 面向对象语言对事物的体现都是以对象的形式,所以为了方便对多个对象的操作,就对对象进行存储,集合就是存储对象最常用的一 种方式. 数组和集合类同是容器,有何不同? 数组虽然也可以存储对象,但长度是固定的:集合长度是可变的.数组中可以存储基本数据类型,集合只能存储对象. 集合类的特点 集合只用于存储对象,集合长度是可变的,集合可以存储不同类型的对象. 2.集合框架的构成及分类 3.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lGKEXM.html" rel="bookmark">黑马程序员&lowbar;多线程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				------- android培训.java培训.期待与您交流! ---------- 多线程1.进程: 正在运行的程序所占有的内存空间,叫做进程. 线程: 一个应用程序中的子程序,对于CPU,子程序可以有一条独立的执行路径,称为线程. 线程特点:依靠一个应用程序,对于其他子程序,独立被CPU执行的2.多线程的好处: 充分利用CPU的资源,程序的同时运行,提高效率3.java中线程创建的两种方法: 第一种: 定义类继承Thread class extends Thread 重写Thread中的r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49o75p0.html" rel="bookmark">黑马程序员&lowbar;交通灯管理系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(1)项目的需求 模拟实现十字路口的交通灯管理系统逻辑,具体需求如下: 例如: 由南向而来去往北向的车辆 右转车辆 由东向而来去往南向的车辆 ---- 左转车辆 平时开车过十字路口红绿灯的时候,也知道红绿灯运行的顺序 (1)任何方向的车,向右边转弯的时候,是不需要看红绿灯 (2)在十字路口,相对方向的红绿灯的工作方式是一样的,南相对与北,东相对与西,这把它分成两对 (3)红绿灯顺序,一对直行通道绿灯直行车辆,等直行变红,还是这对的车辆可以左转,等左转变红,就轮到下一对了.所以在设计程序的时候,只			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/418dwY3.html" rel="bookmark">黑马程序员&lowbar;Java基础加强（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.静态导入 静态导入是jdk1.5版本以后出现的新特性,一般是指导入静态方法,如:import static java.lang.System.out 是指导入系统输出的静态方法. 例: import static java.lang.System.out //导入java.lang包下的System类的静态方法out public class StaticImport { public static void main(String[] args) { int x=1; x++; out.p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVVv62M.html" rel="bookmark">【黑马程序员】&mdash;&mdash;&mdash;&mdash;面向对象语法2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.      set方法和get方法 1.          set方法和get方法的使用场合 @public的成员可以被随意赋值,应该使用set方法和get方法来管理成员的访问(类似机场的安检.水龙头过滤,过滤掉不合理的东西),比如僵尸的生命值不能为负数 成员变量尽量不要用@public 2.          set方法 1)       作用:提供一个方法给外界设置成员变量值,可以在方法里面对参数进行相应过滤 2)       命名规范: 1&gt; 方法名必须以set开头 2&gt; set后面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eyzmp0.html" rel="bookmark">黑马程序员&lowbar;Java反射机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一切的操作都将使用Object完成,类,数组的引用都可以使用Object来接收 1,认识Class类 以前要是想知道一个类中的属性,成员变量,方法等等的信息的话,需要通过new这个类的对象才能得到这些信息,但是在Java中,也允许一个实例化对象找到一个类的完整的信息,这个类就是Class类,Class类是继承Object类的. 正常方式:  引入需要的&quot;包.类&quot;名称 &gt;取得实例化对象 反射方式:  实例化对象&gt;得到完整的&quot;包.类&quot;名称 getClass(			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pYlxM.html" rel="bookmark" class="title">记录一下今天遇到的问题</a>
					<div>
						1.什么是HTTP协议 超文本传输协议(HTTP,HyperText Transfer Protocol)是互联网上应用最广的一种网络协议. 所有WWW文件都必须遵守这个标准.设置HTTP最终的目的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGG8b6M.html" rel="bookmark" class="title">css3媒体查询</a>
					<div>
						@media (min-width: 320px) { html { font-size: 100px; }}@media (min-width: 360px) { html { font-size: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MywnYp3.html" rel="bookmark" class="title">悬崖上的救赎 -- 福建水泥的迷雾</a>
					<div>
						1,2月份,有7.75元一下的筹码区比较多,如下图所示: 2,3月份,低价区的筹码变化不大 3,4月份的筹码区,7.75元一下的已经变少了,如下所示: 4,5月份,7.75下方的筹码已经没有了,表示低 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MywgwY3.html" rel="bookmark" class="title">Android -- Camera源码简析，启动流程</a>
					<div>
						com.android.camera.Camera.java,主要的实现Activity,继承于ActivityBase. ActivityBase 在ActivityBase中执行流程: onCre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35bdlR4.html" rel="bookmark" class="title">Android中调用百度地图</a>
					<div>
						一.调用百度地图 --第一种方法 1.下载百度地图SDK SDK可以拆分下载,需要使用那一部分功能就下载相应包含的SDK,如下图 核心的的jar 和so包,放在工程中的libs目录下 2.申请key  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ON2Z70.html" rel="bookmark" class="title">几种适配器&amp;amp&semi;观察者&amp;amp&semi;ListView之间的那点事</a>
					<div>
						android中的几种适配器&amp;观察者&amp;ListView 1.我们知道Android中的Adapter类是处于ListView和数据源之间的数据总线,它负责为ListView提供数据.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NaOdG3.html" rel="bookmark" class="title">div嵌套引起的margin-top不起作用</a>
					<div>
						通常大家在制作网页的过程中会遇到很多棘手的问题,比如我在写一个页面的时候,遇到了div嵌套引起的margin-top不起作用,对内部的div设置margin-top时,内部对于外部的div并没有产生一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kGkRE0.html" rel="bookmark" class="title">lvm snapshot快照原理</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49W8bv0.html" rel="bookmark" class="title">薛老师软考高项学员：2016年3月16日作业</a>
					<div>
						第6章:项目整体管理 一.项目整体管理的过程包括哪些内容? 项目启动,制定项目章程 制定初步的项目范围说明书 制定项目管理计划 指导和管理项目的执行 监督和控制项目 整体变更控制 项目收尾 二.项目启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkXmpM.html" rel="bookmark" class="title">轻量级高可用实现工具--keepalived详解</a>
					<div>
						一 .keepalived简介 keepalived:它的诞生最初是为ipvs(一些服务,内核中的一些规则)提供高可用性的,最初最主要目的是能够自主调用ipvsadm来生成规则,并且能够自动实现将用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzL8nk3.html" rel="bookmark" class="title">Ubuntu16&period;04安装zookeeper集群</a>
					<div>
						http://apache.fayea.com/zookeeper/ [email protected]:/usr/local/zookeeper-3.4.9# vim /etc/profile #Z ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglXan0.html" rel="bookmark" class="title">Windows相关</a>
					<div>
						Windows 1.看服务 1.1win+R:输入services.msc 1.2任务管理器-&gt;服务 2.看组策略 win+r:输入gpedit.msc 3.看防火墙 控制面板-&gt;系统和安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7vW73.html" rel="bookmark" class="title">《Linux内核分析》第一周学习小结  计算机是如何工作的？</a>
					<div>
						&lt;Linux内核分析&gt;第一周.计算机是如何工作的? 20135204 郝智宇  一.存储程序计算机工作模型 1.      冯诺依曼体系结构: 数字计算机的数制采用二进制:计算机应该按照程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBxrZq3.html" rel="bookmark" class="title">Random&lpar;&rpar;方法的使用</a>
					<div>
						import java.util.*;public class RandomTest { public static void main(String[] args) {  double i = Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezqZv3.html" rel="bookmark" class="title">linux运行机制</a>
					<div>
						linux运行机制,主要包括初始化init系统.系统运行级别.系统关闭方法.下图为系统运行流程图.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBzg80.html" rel="bookmark" class="title">Java的一天学习</a>
					<div>
						#Java的第一天# 1.Java的历史.....1990年由sun公司推出. 2.Java特点,面向对象,跨平台,垃圾自动回收. ##安装jdk及最原始的运行Java的方法.## 1.下载和安装:可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzB9GyM.html" rel="bookmark" class="title">数据结构&colon;图（1）</a>
					<div>
						一.图的基本概念 1.有向图 若图G中的每条边都是有方向的,则称G为有向图(Digraph). 2.无向图 若图G中的每条边都是没有方向的,则称G为无向图(Undigraph). 3.连通图的生成树  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azrVq3.html" rel="bookmark" class="title">CRC文件解压缩问题</a>
					<div>
						CRC问题一般有三种可能1.你的硬盘出现坏道2.你的硬盘数据线受损3.还可能是主板和内存的问题 硬盘坏道的表现硬盘使用久了就可能出现各种各样的问题,而硬盘“坏道”便是这其中最常见的问题.硬盘出现坏道除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02oX523.html" rel="bookmark" class="title">idea 端口占用</a>
					<div>
						netstat -anp | grep 8080 lsof -i:8080 查看8080端口被什么进程占用 kill (-s 9) 12903 -s 9 强制 尽快 12903 上面查出的 PID 其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dDo2r0.html" rel="bookmark" class="title">Con Na-Sprint 3</a>
					<div>
						1.Product Backlog: 2.Sprint Backlog: 3.看板.燃尽图:					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.069 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
